<template>
    <div class="sparql-editor" v-if="display">
        <SparqlEditor dataset="config" />
    </div>
</template>

<script lang="ts">
import { Options, Vue } from 'vue-class-component';
import SparqlEditor from '@/components/SparqlEditor.vue';
import app from '../main';

@Options({
    components: {
        SparqlEditor,
    },
})
export default class SparqlEditorView extends Vue {
    get display() {
        return !app.config.globalProperties.routerLoad;
    }
}
</script>
